#!/bin/env/bash

for i in *.xyz; do
    reorg_file="reorg-BLYP-wD3.inp"
    fix_atom_list="1 2 3 4 5 6 7 8 15 16 17 18 19 20 21 22 23 24 25 26 27"
    bbox_box_size=$(./bbox2 "${i}")

    # Neutral Geometry
    mkdir NeutralGeo
    cp "${reorg_file}" "${i}" NeutralGeo
    mv cp2k-reorg-neutralgeo-template.slurm NeutralGeo
    cd NeutralGeo
    sed -e "s|SLURM_SYSNAME|${i%.*}|g" \
        -e "s/FIX_ATOM_LIST/${fix_atom_list}/g" \
        -e "s/BBOX_BOX_SIZE/${bbox_box_size}/g" \
        -e "s/TEMPLATE_FILE/${reorg_file}/g" \
        "cp2k-reorg-neutralgeo-template.slurm" > "cp2k-reorg-neutralgeo.slurm"
    sbatch cp2k-reorg-neutralgeo.slurm
    cd ..

    # Anionic Geometry
    mkdir AnionicGeo
    cp "${reorg_file}" "${i}" AnionicGeo
    mv cp2k-reorg-anionicgeo-template.slurm AnionicGeo
    cd AnionicGeo
    sed -e "s|SLURM_SYSNAME|${i%.*}|g" \
        -e "s/FIX_ATOM_LIST/${fix_atom_list}/g" \
        -e "s/BBOX_BOX_SIZE/${bbox_box_size}/g" \
        -e "s/TEMPLATE_FILE/${reorg_file}/g" \
        "cp2k-reorg-anionicgeo-template.slurm" > "cp2k-reorg-anionicgeo.slurm"
    sbatch cp2k-reorg-anionicgeo.slurm
    cd ..

    # Cationic Geometry
    mkdir CationicGeo
    cp "${reorg_file}" "${i}" CationicGeo
    mv cp2k-reorg-cationicgeo-template.slurm CationicGeo
    cd CationicGeo
    sed -e "s|SLURM_SYSNAME|${i%.*}|g" \
        -e "s/FIX_ATOM_LIST/${fix_atom_list}/g" \
        -e "s/BBOX_BOX_SIZE/${bbox_box_size}/g" \
        -e "s/TEMPLATE_FILE/${reorg_file}/g" \
        "cp2k-reorg-cationicgeo-template.slurm" > "cp2k-reorg-cationicgeo.slurm"
    sbatch cp2k-reorg-cationicgeo.slurm
    cd ..
done
